$topnav-background-color: #222;

.sidebar-title{
    color: #004FA3;

font-size: 14px;

font-weight: 500;

line-height: 16px;
}


.form-check{
    margin-bottom: 3px !important;
}
.action{
    color: #004FA3 !important;
    font-size: 14px !important;    
    line-height: 16px !important;
    display: block;
    margin-top: 15px !important;
    cursor: pointer;
}
.filter{
    margin-left: 25px;
    
}

.form-check{
    input{
        height: 18px !important;   
        width: 18px !important;    
        border: 1px solid #616161 !important;  
        border-radius: 3px !important;
        
    }
}

.emetteur{
    padding: 23px;
    border-bottom: 1px solid #EAEAEA;
}

.input-group-text{
    background: none!important;
    border: none !important;
    color: #004FA3;

    font-size: 13px;
}

// FLOATING LABELS
.has-float-label{display:block;position:relative}.has-float-label label,.has-float-label>span{position:absolute;cursor:text;font-size:75%;opacity:1;-webkit-transition:all .2s;transition:all .2s;top:0;left:.75rem;z-index:3;line-height:1;padding:0 1px; color: #A5A5A5; font-weight: bold;}.has-float-label label::after,.has-float-label>span::after{content:" ";display:block;position:absolute;background:#fff;height:2px;top:50%;left:-.2em;right:-.2em;z-index:-1}.has-float-label .form-control::-webkit-input-placeholder{opacity:1;-webkit-transition:all .2s;transition:all .2s}.has-float-label .form-control::-moz-placeholder{opacity:1;transition:all .2s}.has-float-label .form-control:-ms-input-placeholder{opacity:1;transition:all .2s}.has-float-label .form-control::placeholder{opacity:1;-webkit-transition:all .2s;transition:all .2s}.has-float-label .form-control:placeholder-shown:not(:focus)::-webkit-input-placeholder{opacity:0}.has-float-label .form-control:placeholder-shown:not(:focus)::-moz-placeholder{opacity:0}.has-float-label .form-control:placeholder-shown:not(:focus):-ms-input-placeholder{opacity:0}.has-float-label .form-control:placeholder-shown:not(:focus)::placeholder{opacity:0}.has-float-label .form-control:placeholder-shown:not(:focus)+*{font-size:150%;opacity:.5;top:.3em}.input-group .has-float-label{-webkit-box-flex:1;-webkit-flex-grow:1;-ms-flex-positive:1;flex-grow:1;margin-bottom:0;display:-webkit-box;display:-webkit-flex;display:-ms-flexbox;display:flex;-webkit-box-orient:vertical;-webkit-box-direction:normal;-webkit-flex-direction:column;-ms-flex-direction:column;flex-direction:column;-webkit-box-pack:center;-webkit-justify-content:center;-ms-flex-pack:center;justify-content:center}.input-group .has-float-label .form-control{width:100%;border-radius:.25rem}.input-group .has-float-label:not(:last-child),.input-group .has-float-label:not(:last-child) .form-control{border-bottom-right-radius:0;border-top-right-radius:0;border-right:0}.input-group .has-float-label:not(:first-child),.input-group .has-float-label:not(:first-child) .form-control{border-bottom-left-radius:0;border-top-left-radius:0}

.has-float-label[_ngcontent-c1] .form-control[_ngcontent-c1]:placeholder-shown:not(:focus) + [_ngcontent-c1] {
    opacity: .5;
    top: 15px;
    height: 16px;
    width: 259.82px;
    color: #A5A5A5;
    font-size: 14px;
    line-height: 16px;

}
.has-float-label[_ngcontent-c5] .form-control[_ngcontent-c5]:placeholder-shown:not(:focus) + [_ngcontent-c5] {
    font-size: 14px !important;
    color: #A5A5A5 !important;
    opacity: .5;
    top: .3em;
}

select{
    height: 50px !important;
}
.sidebar {
    border-radius: 0;
    position: fixed;
    z-index: 1000;
    top: 70px;
    left: 342px;
    // width: 235px;
    margin-left: -342px;
    // margin-bottom: 48px;
    border: none;
    border-radius: 0;
    overflow-y: auto;
    background-color: white;
    bottom: 0;
    overflow-x: hidden;
    // padding: 23px;

    width: 342px;   
    border: 1px solid #EAEAEA;  
    background-color: #FFFFFF;  
    box-shadow: 0 4px 10px 0 rgba(97,97,97,0.1);
    // padding-bottom: 40px;
    white-space: nowrap;
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
    // border-top: 1px solid rgba(255,255,255,0.3);
    .list-group {
        a.list-group-item {
            background: $topnav-background-color;
            border: 0;
            border-radius: 0;
            color: #999;
            text-decoration: none;
            .fa {
                margin-right: 10px;
            }
        }
        a:hover {
            background: darken($topnav-background-color, 5%);
            color: #eee;
        }
        a.router-link-active {
            background: darken($topnav-background-color, 5%);
            color: #eee;
        }
        .header-fields {
            padding-top: 10px;
        
            > .list-group-item:first-child {
                border-top: 1px solid rgba(255, 255, 255, 0.2);
            }
        }
    }
    .sidebar-dropdown {
        *:focus {
            border-radius: none;
            border: none;
        }
        .panel-title {
            font-size: 1rem;
            height: 50px;
            margin-bottom: 0;
            a {
                color: #999;
                text-decoration: none;
                font-weight: 400;
                background: $topnav-background-color;
                span {
                    position: relative;
                    display: block;
                    padding: 0.75rem 1.5rem;
                    padding-top: 1rem;
                }
            }
            a:hover,
            a:focus {
                color: #eee;
                outline: none;
                outline-offset: -2px;
            }
        }
        .panel-title:hover {
            background: darken($topnav-background-color, 5%);
        }
        .panel-collapse {
            border-radious: 0;
            border: none;
            .panel-body {
                .list-group-item {
                    border-radius: 0;
                    background-color: $topnav-background-color;
                    border: 0 solid transparent;
                    a {
                        color: #999;
                    }
                    a:hover {
                        color: #eee;
                    }
                }
                .list-group-item:hover {
                    background: darken($topnav-background-color, 5%);
                }
            }
        }
    }
}

.nested-menu {
    .list-group-item {
        cursor: pointer;
    }
    .nested {
        list-style-type: none;
    }
    ul.submenu {
        display: none;
        height: 0;
    }
    & .expand {
        ul.submenu {
            display: block;
            list-style-type: none;
            height: auto;
            li {
                a {
                    color: #eee;
                    padding: 10px;
                    display: block;
                }
            }
        }
    }
}
@media screen and (max-width: 992px) {
    .sidebar {
        top: 70px;
        left: -112px;
        
        margin-left: -232px;
    }

}
@media print {
    .sidebar {
        display: none !important;
    }
}
@media (min-width: 992px) {
    .header-fields {
        display: none;
    }
}

::-webkit-scrollbar {
    width: 8px;
}

::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 0px rgba(255, 255, 255, 1);
    border-radius: 3px;
}

::-webkit-scrollbar-thumb {
    border-radius: 3px;
    -webkit-box-shadow: inset 0 0 3px rgba(255, 255, 255, 1);
}

.toggle-button {
    position: fixed;
    width: 236px;
    cursor: pointer;
    padding: 12px;
    bottom: 0;
    color: #999;
    background: #212529;
    i {
        font-size: 23px;
    }
    &:hover {
        background: darken($topnav-background-color, 5%);
        color: #eee;
    }
    border-top: 1px solid #999;
    -webkit-transition: all 0.2s ease-in-out;
    -moz-transition: all 0.2s ease-in-out;
    -ms-transition: all 0.2s ease-in-out;
    -o-transition: all 0.2s ease-in-out;
    transition: all 0.2s ease-in-out;
}

.collapsed {
    width: 50px;
    span {
        display: none;
    }
}

.bg-light{
    background-color: #fff !important;
    box-shadow: 0 1px 0 0 #EAEAEA !important;
}